Returns information about the hosted public climate impact page configuration for the account (or a subaccount)
/impact/hosted-page-configAuthorization
string
header
requiredBearer authentication header of the form Bearer <token>, where <token> is your CNaught API key.
X-Subaccount-Id
string
If present, will return configuration for the hosted impact subaccount.
Impact Hosted Page Configuration
Show response attributes
enabled
boolean
Whether the hosted impact page is enabled for the account or subaccount
url
string
URL of the hosted impact page for the account or subaccount
enabled_equivalents
string[]
The list of equivalent stats that are shown on the hosted impact page. Possible values are homes, flights, cars, trees
Get Hosted Climate Impact Page Configuration
curl --request GET \
--url https://api.cnaught.com/v1/impact/hosted-page-config \
--header 'Authorization: Bearer <token>'{
"enabled": true,
"enabled_equivalents": [
"homes",
"flights"
],
"url": "https://impact.cnaught.com/cnaughtreserve"
}